import { ChokidarOptions, IsExternal, Plugin } from 'rollup';
import { Dictionary, Nullable } from './helper-types';
import { BrowserBuildFormat, BundlibRollupBrowseOutputOptions, BundlibRollupModuleOutputOptions, BundlibRollupOptions, ModuleBuildFormat, RollupSourcemap } from './types';
export declare function createConfig<OutputOptions extends BundlibRollupModuleOutputOptions>(input: string, output: OutputOptions, external: IsExternal, plugins: Plugin[], chokidar: boolean | ChokidarOptions): BundlibRollupOptions<OutputOptions>;
export declare function createModuleConfig(input: string, format: ModuleBuildFormat, file: string, sourcemap: RollupSourcemap, esModule: boolean, interop: boolean, external: IsExternal, plugins: Plugin[], chokidar: boolean | ChokidarOptions): BundlibRollupOptions<BundlibRollupModuleOutputOptions>;
export declare function createBrowserConfig(input: string, format: BrowserBuildFormat, file: string, sourcemap: RollupSourcemap, esModule: boolean, interop: boolean, isExternal: IsExternal, plugins: Plugin[], chokidar: boolean | ChokidarOptions, name: string, extend: boolean, globals: Nullable<Dictionary<string>>, id: Nullable<string>): BundlibRollupOptions<BundlibRollupBrowseOutputOptions>;
