import { Dictionary, Nullable } from './helper-types';
export declare function isNull(value: unknown): value is (null | undefined);
export declare function isObject<T = unknown>(value: unknown): value is (Dictionary<T> | T[]);
export declare function isString(value: unknown): value is string;
export declare function isBool(value: unknown): value is boolean;
export declare const isArray: <T = unknown>(value: unknown) => value is T[];
export declare function isDictionary<T = any>(value: unknown): value is Dictionary<T>;
export declare function isStringOrNull(value: unknown): value is Nullable<string>;
export declare function isDictionaryOrNull<T = unknown>(value: unknown): value is Nullable<Dictionary<T>>;
